# Enum ethcore::error::ExecutionError [−] [src]

    pub enum ExecutionError {
        NotEnoughBaseGas {
            required: U256,
            got: U256,
        },
        BlockGasLimitReached {
            gas_limit: U256,
            gas_used: U256,
            gas: U256,
        },
        InvalidNonce {
            expected: U256,
            got: U256,
        },
        NotEnoughCash {
            required: U512,
            got: U512,
        },
        Internal,
        TransactionMalformed(String),
    }

Result of executing the transaction.

## Variants

`NotEnoughBaseGas`

Returned when there gas paid for transaction execution is lower than base gas required.

### Fields

`required: U256` | Absolute minimum gas required.
`got: U256` | Gas provided.

`BlockGasLimitReached`

Returned when block (gas_used + gas) > gas_limit.

If gas =< gas_limit, upstream may try to execute the transaction in next block.

### Fields

`gas_limit: U256` | Gas limit of block for transaction.
`gas_used: U256` | Gas used in block prior to transaction.
`gas: U256` | Amount of gas in block.

`InvalidNonce`

Returned when transaction nonce does not match state nonce.

### Fields

`expected: U256` | Nonce expected.
`got: U256` | Nonce found.

`NotEnoughCash`

Returned when cost of transaction (value + gas_price * gas) exceeds current sender balance.

### Fields

`required: U512` | Minimum required balance.
`got: U512` | Actual balance.

`Internal`

Returned when internal evm error occurs.

`TransactionMalformed(String)`

Returned when generic transaction occurs

## Trait Implementations

### `impl PartialEq for ExecutionError`
[src]

#### `fn eq(&self, __arg_0: &ExecutionError) -> bool`

This method tests for `self` and `other` values to be equal, and is used by `==`. Read more

#### `fn ne(&self, __arg_0: &ExecutionError) -> bool`

This method tests for `!=`.

### `impl Debug for ExecutionError`
[src]

#### `fn fmt(&self, __arg_0: &mut Formatter) -> Result`

Formats the value using the given formatter.

### `impl Clone for ExecutionError`
[src]

#### `fn clone(&self) -> ExecutionError`

Returns a copy of the value. Read more

#### `fn clone_from(&mut self, source: &Self)`
1.0.0

Performs copy-assignment from `source`. Read more

### `impl Display for ExecutionError`
[src]

#### `fn fmt(&self, f: &mut Formatter) -> Result`

Formats the value using the given formatter.

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)